# PHTTPDateField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPDateField:

List of all members.

## Public Member Functions

| PHTTPDateField (const char *name, const PTime &initVal=PTime(0), PTime::TimeFormat fmt=PTime::ShortDate)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | SetValue (const PString &newValue)
| Set the value of the field.
virtual PBoolean | Validated (const PString &newValue, PStringStream &msg) const
| Validate the new field value before `SetValue()` is called.

## Protected Attributes

PTime::TimeFormat | m_format

## Constructor & Destructor Documentation

PHTTPDateField::PHTTPDateField | ( | const char * | name,
|  | const PTime & | initVal = `PTime(0)`,
|  | PTime::TimeFormat | fmt = `PTime::ShortDate` |
| ) |  |  |

## Member Function Documentation

virtual PHTTPField* PHTTPDateField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Reimplemented from PHTTPStringField.

virtual void PHTTPDateField::SetValue | ( | const PString & | newValue | ) | `[virtual]`

Set the value of the field.

Reimplemented from PHTTPStringField.

virtual PBoolean PHTTPDateField::Validated | ( | const PString & | newValue,
|  | PStringStream & | msg |
| ) |  |  | const`[virtual]`

Validate the new field value before `SetValue()` is called.

Returns:
  PBoolean if the new field value is OK.

Reimplemented from PHTTPField.

## Member Data Documentation

PTime::TimeFormat PHTTPDateField::m_format `[protected]`

The documentation for this class was generated from the following file:

- httpform.h